View Issue Details

IDProjectCategoryView StatusLast Update
0003015Ham Radio DeluxeMaintenancepublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.163 
Target VersionFixed in Version6.5.0.183 
Summary0003015: Logobook ALE lookup code is overrun by copy-and-paste
DescriptionThe ALE callsign lookup implementation in the logbook is overrun by copy-and-paste code. Each data source has a large block of code pasted with only a few details changed in each. This results in a huge single function and a bloated switch statement that's difficult to understand and hard to maintain.

There are several blocks of unused code which add further false complexity to the code.

Undoubtedly, there's more clean-up than this, but it's an obvious first step toward getting the code maintainable, and eventually reusable.
Steps To Reproduceby code review
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Not Tested

Relationships

related to 0003001 acknowledgedWA9PIE 3 - Current Dev List Callsign lookup function does not appear to be working as designed 

Activities

K7ZCZ

2018-12-31 11:29

manager   ~0006828

Addressed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4653

which ends up removing about 800 lines of code

WA9PIE

2019-01-04 12:44

administrator   ~0006880

Accepting this without testing

Issue History

Date Modified Username Field Change
2018-12-31 11:21 K7ZCZ New Issue
2018-12-31 11:29 K7ZCZ Assigned To => K7ZCZ
2018-12-31 11:29 K7ZCZ Status new => resolved
2018-12-31 11:29 K7ZCZ Resolution open => fixed
2018-12-31 11:29 K7ZCZ Note Added: 0006828
2018-12-31 11:29 K7ZCZ Relationship added related to 0003001
2019-01-04 11:04 K7ZCZ Fixed in Version => 6.5.0.164
2019-01-04 11:04 K7ZCZ Description Updated View Revisions
2019-01-04 12:44 WA9PIE Status resolved => closed
2019-01-04 12:44 WA9PIE Testing Not Started => Not Tested
2019-01-04 12:44 WA9PIE Note Added: 0006880
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.164 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe